package androidx.test.espresso.core.internal.deps.aidl;

import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
/* loaded from: classes2.dex */
public abstract class BaseProxy implements IInterface {
    private final String mDescriptor;
    private final IBinder mRemote;

    /* JADX INFO: Access modifiers changed from: protected */
    public BaseProxy(IBinder remote, String descriptor) {
        this.mRemote = remote;
        this.mDescriptor = descriptor;
    }

    @Override // android.os.IInterface
    public IBinder asBinder() {
        return this.mRemote;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public Parcel obtainAndWriteInterfaceToken() {
        Parcel obtain = Parcel.obtain();
        obtain.writeInterfaceToken(this.mDescriptor);
        return obtain;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public Parcel transactAndReadException(int code, Parcel in) throws RemoteException {
        Parcel obtain = Parcel.obtain();
        try {
            try {
                this.mRemote.transact(code, in, obtain, 0);
                obtain.readException();
                return obtain;
            } catch (RuntimeException e) {
                obtain.recycle();
                throw e;
            }
        } finally {
            in.recycle();
        }
    }

    protected void transactAndReadExceptionReturnVoid(int code, Parcel in) throws RemoteException {
        Parcel obtain = Parcel.obtain();
        try {
            this.mRemote.transact(code, in, obtain, 0);
            obtain.readException();
        } finally {
            in.recycle();
            obtain.recycle();
        }
    }

    protected void transactOneway(int code, Parcel in) throws RemoteException {
        try {
            this.mRemote.transact(code, in, null, 1);
        } finally {
            in.recycle();
        }
    }
}
