package androidx.test.espresso.core.internal.deps.guava.collect;

import java.lang.reflect.Array;
/* loaded from: classes2.dex */
public final class ObjectArrays {
    public static <T> T[] newArray(Class<T> type, int length) {
        return (T[]) ((Object[]) Array.newInstance((Class<?>) type, length));
    }

    public static <T> T[] newArray(T[] reference, int length) {
        return (T[]) Platform.newArray(reference, length);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static Object[] checkElementsNotNull(Object... array) {
        return checkElementsNotNull(array, array.length);
    }

    static Object[] checkElementsNotNull(Object[] array, int length) {
        for (int i = 0; i < length; i++) {
            checkElementNotNull(array[i], i);
        }
        return array;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static Object checkElementNotNull(Object element, int index) {
        if (element != null) {
            return element;
        }
        StringBuilder sb = new StringBuilder(20);
        sb.append("at index ");
        sb.append(index);
        throw new NullPointerException(sb.toString());
    }
}
