package androidx.test.espresso.core.internal.deps.guava.collect;

import androidx.test.espresso.core.internal.deps.guava.base.Preconditions;
import java.util.AbstractMap;
import java.util.Arrays;
import java.util.Map;
import kotlin.UShort;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes3.dex */
public final class RegularImmutableMap<K, V> extends ImmutableMap<K, V> {
    static final ImmutableMap<Object, Object> EMPTY = new RegularImmutableMap(null, new Object[0], 0);
    private static final long serialVersionUID = 0;
    final transient Object[] alternatingKeysAndValues;
    private final transient Object hashTable;
    private final transient int size;

    @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableMap
    boolean isPartialView() {
        return false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static <K, V> RegularImmutableMap<K, V> create(int n, Object[] alternatingKeysAndValues) {
        if (n == 0) {
            return (RegularImmutableMap) EMPTY;
        }
        if (n == 1) {
            CollectPreconditions.checkEntryNotNull(alternatingKeysAndValues[0], alternatingKeysAndValues[1]);
            return new RegularImmutableMap<>(null, alternatingKeysAndValues, 1);
        }
        Preconditions.checkPositionIndex(n, alternatingKeysAndValues.length >> 1);
        return new RegularImmutableMap<>(createHashTable(alternatingKeysAndValues, n, ImmutableSet.chooseTableSize(n), 0), alternatingKeysAndValues, n);
    }

    /* JADX WARN: Code restructure failed: missing block: B:13:0x0039, code lost:
        r11[r5] = (byte) r1;
        r2 = r2 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0079, code lost:
        r11[r5] = (short) r1;
        r2 = r2 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x00b0, code lost:
        r11[r6] = r1;
        r2 = r2 + 1;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    static Object createHashTable(Object[] alternatingKeysAndValues, int n, int tableSize, int keyOffset) {
        if (n == 1) {
            CollectPreconditions.checkEntryNotNull(alternatingKeysAndValues[keyOffset], alternatingKeysAndValues[keyOffset ^ 1]);
            return null;
        }
        int i = tableSize - 1;
        int i2 = 0;
        if (tableSize <= 128) {
            byte[] bArr = new byte[tableSize];
            Arrays.fill(bArr, (byte) -1);
            while (i2 < n) {
                int i3 = (i2 * 2) + keyOffset;
                Object obj = alternatingKeysAndValues[i3];
                Object obj2 = alternatingKeysAndValues[i3 ^ 1];
                CollectPreconditions.checkEntryNotNull(obj, obj2);
                int smear = Hashing.smear(obj.hashCode());
                while (true) {
                    int i4 = smear & i;
                    int i5 = bArr[i4] & 255;
                    if (i5 == 255) {
                        break;
                    } else if (alternatingKeysAndValues[i5].equals(obj)) {
                        throw duplicateKeyException(obj, obj2, alternatingKeysAndValues, i5);
                    } else {
                        smear = i4 + 1;
                    }
                }
            }
            return bArr;
        } else if (tableSize <= 32768) {
            short[] sArr = new short[tableSize];
            Arrays.fill(sArr, (short) -1);
            while (i2 < n) {
                int i6 = (i2 * 2) + keyOffset;
                Object obj3 = alternatingKeysAndValues[i6];
                Object obj4 = alternatingKeysAndValues[i6 ^ 1];
                CollectPreconditions.checkEntryNotNull(obj3, obj4);
                int smear2 = Hashing.smear(obj3.hashCode());
                while (true) {
                    int i7 = smear2 & i;
                    int i8 = sArr[i7] & UShort.MAX_VALUE;
                    if (i8 == 65535) {
                        break;
                    } else if (alternatingKeysAndValues[i8].equals(obj3)) {
                        throw duplicateKeyException(obj3, obj4, alternatingKeysAndValues, i8);
                    } else {
                        smear2 = i7 + 1;
                    }
                }
            }
            return sArr;
        } else {
            int[] iArr = new int[tableSize];
            Arrays.fill(iArr, -1);
            while (i2 < n) {
                int i9 = (i2 * 2) + keyOffset;
                Object obj5 = alternatingKeysAndValues[i9];
                Object obj6 = alternatingKeysAndValues[i9 ^ 1];
                CollectPreconditions.checkEntryNotNull(obj5, obj6);
                int smear3 = Hashing.smear(obj5.hashCode());
                while (true) {
                    int i10 = smear3 & i;
                    int i11 = iArr[i10];
                    if (i11 == -1) {
                        break;
                    } else if (alternatingKeysAndValues[i11].equals(obj5)) {
                        throw duplicateKeyException(obj5, obj6, alternatingKeysAndValues, i11);
                    } else {
                        smear3 = i10 + 1;
                    }
                }
            }
            return iArr;
        }
    }

    private static IllegalArgumentException duplicateKeyException(Object key, Object value, Object[] alternatingKeysAndValues, int previousKeyIndex) {
        String valueOf = String.valueOf(key);
        String valueOf2 = String.valueOf(value);
        String valueOf3 = String.valueOf(alternatingKeysAndValues[previousKeyIndex]);
        String valueOf4 = String.valueOf(alternatingKeysAndValues[previousKeyIndex ^ 1]);
        StringBuilder sb = new StringBuilder(String.valueOf(valueOf).length() + 39 + String.valueOf(valueOf2).length() + String.valueOf(valueOf3).length() + String.valueOf(valueOf4).length());
        sb.append("Multiple entries with same key: ");
        sb.append(valueOf);
        sb.append("=");
        sb.append(valueOf2);
        sb.append(" and ");
        sb.append(valueOf3);
        sb.append("=");
        sb.append(valueOf4);
        return new IllegalArgumentException(sb.toString());
    }

    private RegularImmutableMap(Object hashTable, Object[] alternatingKeysAndValues, int size) {
        this.hashTable = hashTable;
        this.alternatingKeysAndValues = alternatingKeysAndValues;
        this.size = size;
    }

    @Override // java.util.Map
    public int size() {
        return this.size;
    }

    @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableMap, java.util.Map
    public V get(Object key) {
        return (V) get(this.hashTable, this.alternatingKeysAndValues, this.size, 0, key);
    }

    static Object get(Object hashTableObject, Object[] alternatingKeysAndValues, int size, int keyOffset, Object key) {
        if (key == null) {
            return null;
        }
        if (size == 1) {
            if (alternatingKeysAndValues[keyOffset].equals(key)) {
                return alternatingKeysAndValues[keyOffset ^ 1];
            }
            return null;
        } else if (hashTableObject == null) {
            return null;
        } else {
            if (hashTableObject instanceof byte[]) {
                byte[] bArr = (byte[]) hashTableObject;
                int length = bArr.length - 1;
                int smear = Hashing.smear(key.hashCode());
                while (true) {
                    int i = smear & length;
                    int i2 = bArr[i] & 255;
                    if (i2 == 255) {
                        return null;
                    }
                    if (alternatingKeysAndValues[i2].equals(key)) {
                        return alternatingKeysAndValues[i2 ^ 1];
                    }
                    smear = i + 1;
                }
            } else if (hashTableObject instanceof short[]) {
                short[] sArr = (short[]) hashTableObject;
                int length2 = sArr.length - 1;
                int smear2 = Hashing.smear(key.hashCode());
                while (true) {
                    int i3 = smear2 & length2;
                    int i4 = sArr[i3] & UShort.MAX_VALUE;
                    if (i4 == 65535) {
                        return null;
                    }
                    if (alternatingKeysAndValues[i4].equals(key)) {
                        return alternatingKeysAndValues[i4 ^ 1];
                    }
                    smear2 = i3 + 1;
                }
            } else {
                int[] iArr = (int[]) hashTableObject;
                int length3 = iArr.length - 1;
                int smear3 = Hashing.smear(key.hashCode());
                while (true) {
                    int i5 = smear3 & length3;
                    int i6 = iArr[i5];
                    if (i6 == -1) {
                        return null;
                    }
                    if (alternatingKeysAndValues[i6].equals(key)) {
                        return alternatingKeysAndValues[i6 ^ 1];
                    }
                    smear3 = i5 + 1;
                }
            }
        }
    }

    @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableMap
    ImmutableSet<Map.Entry<K, V>> createEntrySet() {
        return new EntrySet(this, this.alternatingKeysAndValues, 0, this.size);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes4.dex */
    public static class EntrySet<K, V> extends ImmutableSet<Map.Entry<K, V>> {
        private final transient Object[] alternatingKeysAndValues;
        private final transient int keyOffset;
        private final transient ImmutableMap<K, V> map;
        private final transient int size;

        EntrySet(ImmutableMap<K, V> map, Object[] alternatingKeysAndValues, int keyOffset, int size) {
            this.map = map;
            this.alternatingKeysAndValues = alternatingKeysAndValues;
            this.keyOffset = keyOffset;
            this.size = size;
        }

        @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableSet, androidx.test.espresso.core.internal.deps.guava.collect.ImmutableCollection, java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public UnmodifiableIterator<Map.Entry<K, V>> iterator() {
            return asList().iterator();
        }

        @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableCollection
        int copyIntoArray(Object[] dst, int offset) {
            return asList().copyIntoArray(dst, offset);
        }

        @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableSet
        ImmutableList<Map.Entry<K, V>> createAsList() {
            return new ImmutableList<Map.Entry<K, V>>() { // from class: androidx.test.espresso.core.internal.deps.guava.collect.RegularImmutableMap.EntrySet.1
                @Override // java.util.List
                public Map.Entry<K, V> get(int index) {
                    Preconditions.checkElementIndex(index, EntrySet.this.size);
                    int i = index * 2;
                    return new AbstractMap.SimpleImmutableEntry(EntrySet.this.alternatingKeysAndValues[EntrySet.this.keyOffset + i], EntrySet.this.alternatingKeysAndValues[i + (EntrySet.this.keyOffset ^ 1)]);
                }

                @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
                public int size() {
                    return EntrySet.this.size;
                }
            };
        }

        @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableCollection, java.util.AbstractCollection, java.util.Collection
        public boolean contains(Object object) {
            if (object instanceof Map.Entry) {
                Map.Entry entry = (Map.Entry) object;
                Object key = entry.getKey();
                Object value = entry.getValue();
                return value != null && value.equals(this.map.get(key));
            }
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public int size() {
            return this.size;
        }
    }

    @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableMap
    ImmutableSet<K> createKeySet() {
        return new KeySet(this, new KeysOrValuesAsList(this.alternatingKeysAndValues, 0, this.size));
    }

    /* loaded from: classes4.dex */
    static final class KeysOrValuesAsList extends ImmutableList<Object> {
        private final transient Object[] alternatingKeysAndValues;
        private final transient int offset;
        private final transient int size;

        KeysOrValuesAsList(Object[] alternatingKeysAndValues, int offset, int size) {
            this.alternatingKeysAndValues = alternatingKeysAndValues;
            this.offset = offset;
            this.size = size;
        }

        @Override // java.util.List
        public Object get(int index) {
            Preconditions.checkElementIndex(index, this.size);
            return this.alternatingKeysAndValues[(index * 2) + this.offset];
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public int size() {
            return this.size;
        }
    }

    /* loaded from: classes4.dex */
    static final class KeySet<K> extends ImmutableSet<K> {
        private final transient ImmutableList<K> list;
        private final transient ImmutableMap<K, ?> map;

        KeySet(ImmutableMap<K, ?> map, ImmutableList<K> list) {
            this.map = map;
            this.list = list;
        }

        @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableSet, androidx.test.espresso.core.internal.deps.guava.collect.ImmutableCollection, java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public UnmodifiableIterator<K> iterator() {
            return asList().iterator();
        }

        @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableCollection
        int copyIntoArray(Object[] dst, int offset) {
            return asList().copyIntoArray(dst, offset);
        }

        @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableSet, androidx.test.espresso.core.internal.deps.guava.collect.ImmutableCollection
        public ImmutableList<K> asList() {
            return this.list;
        }

        @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableCollection, java.util.AbstractCollection, java.util.Collection
        public boolean contains(Object object) {
            return this.map.get(object) != null;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public int size() {
            return this.map.size();
        }
    }

    @Override // androidx.test.espresso.core.internal.deps.guava.collect.ImmutableMap
    ImmutableCollection<V> createValues() {
        return new KeysOrValuesAsList(this.alternatingKeysAndValues, 1, this.size);
    }
}
