package androidx.test.internal.runner.junit3;

import junit.framework.Test;
import junit.framework.TestResult;
import junit.framework.TestSuite;
import org.junit.Ignore;
import org.junit.runner.Describable;
import org.junit.runner.Description;
@Ignore
/* loaded from: classes4.dex */
public class NonLeakyTestSuite extends TestSuite {
    public NonLeakyTestSuite(Class<?> testClass) {
        super(testClass);
    }

    @Override // junit.framework.TestSuite
    public void addTest(Test test) {
        super.addTest(new NonLeakyTest(test));
    }

    /* loaded from: classes3.dex */
    private static class NonLeakyTest implements Test, Describable {
        private Test delegate;
        private final Description desc;

        NonLeakyTest(Test delegate) {
            this.delegate = delegate;
            this.desc = JUnit38ClassRunner.makeDescription(delegate);
        }

        @Override // junit.framework.Test
        public int countTestCases() {
            Test test = this.delegate;
            if (test != null) {
                return test.countTestCases();
            }
            return 0;
        }

        @Override // junit.framework.Test
        public void run(TestResult result) {
            this.delegate.run(result);
            this.delegate = null;
        }

        @Override // org.junit.runner.Describable
        public Description getDescription() {
            return this.desc;
        }

        public String toString() {
            Test test = this.delegate;
            if (test != null) {
                return test.toString();
            }
            return this.desc.toString();
        }
    }
}
