package androidx.test.orchestrator.callback;

import android.os.Bundle;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import androidx.test.runner.internal.deps.aidl.BaseProxy;
import androidx.test.runner.internal.deps.aidl.BaseStub;
import androidx.test.runner.internal.deps.aidl.Codecs;
/* loaded from: classes2.dex */
public interface OrchestratorCallback extends IInterface {
    void addTest(String test) throws RemoteException;

    void sendTestNotification(Bundle bundle) throws RemoteException;

    /* loaded from: classes3.dex */
    public static abstract class Stub extends BaseStub implements OrchestratorCallback {
        private static final String DESCRIPTOR = "androidx.test.orchestrator.callback.OrchestratorCallback";
        static final int TRANSACTION_addTest = 1;
        static final int TRANSACTION_sendTestNotification = 2;

        public Stub() {
            super(DESCRIPTOR);
        }

        public static OrchestratorCallback asInterface(IBinder obj) {
            if (obj == null) {
                return null;
            }
            IInterface queryLocalInterface = obj.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface instanceof OrchestratorCallback) {
                return (OrchestratorCallback) queryLocalInterface;
            }
            return new Proxy(obj);
        }

        @Override // androidx.test.runner.internal.deps.aidl.BaseStub
        protected boolean dispatchTransaction(int code, Parcel data, Parcel reply, int flags) throws RemoteException {
            if (code == 1) {
                addTest(data.readString());
            } else if (code != 2) {
                return false;
            } else {
                sendTestNotification((Bundle) Codecs.createParcelable(data, Bundle.CREATOR));
            }
            reply.writeNoException();
            return true;
        }

        /* loaded from: classes3.dex */
        public static class Proxy extends BaseProxy implements OrchestratorCallback {
            Proxy(IBinder remote) {
                super(remote, Stub.DESCRIPTOR);
            }

            @Override // androidx.test.orchestrator.callback.OrchestratorCallback
            public void addTest(String test) throws RemoteException {
                Parcel obtainAndWriteInterfaceToken = obtainAndWriteInterfaceToken();
                obtainAndWriteInterfaceToken.writeString(test);
                transactAndReadExceptionReturnVoid(1, obtainAndWriteInterfaceToken);
            }

            @Override // androidx.test.orchestrator.callback.OrchestratorCallback
            public void sendTestNotification(Bundle bundle) throws RemoteException {
                Parcel obtainAndWriteInterfaceToken = obtainAndWriteInterfaceToken();
                Codecs.writeParcelable(obtainAndWriteInterfaceToken, bundle);
                transactAndReadExceptionReturnVoid(2, obtainAndWriteInterfaceToken);
            }
        }
    }
}
