package com.hjq.gson.factory.data;

import com.google.gson.JsonElement;
import com.google.gson.TypeAdapter;
import com.google.gson.internal.bind.TypeAdapters;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import org.json.JSONArray;
import org.json.JSONException;
/* loaded from: classes6.dex */
public class JSONArrayTypeAdapter extends TypeAdapter<JSONArray> {
    public TypeAdapter<JsonElement> mProxy = TypeAdapters.JSON_ELEMENT;

    @Override // com.google.gson.TypeAdapter
    public JSONArray read(JsonReader jsonReader) throws IOException {
        JsonElement read = this.mProxy.read(jsonReader);
        if (read.isJsonArray()) {
            try {
                return new JSONArray(read.toString());
            } catch (JSONException e) {
                e.printStackTrace();
                return null;
            }
        }
        return null;
    }

    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, JSONArray jSONArray) throws IOException {
        if (jSONArray == null) {
            jsonWriter.nullValue();
            return;
        }
        TypeAdapter<JsonElement> typeAdapter = this.mProxy;
        typeAdapter.write(jsonWriter, typeAdapter.fromJson(jSONArray.toString()));
    }
}
