package com.hjq.gson.factory.data;

import com.google.gson.JsonElement;
import com.google.gson.TypeAdapter;
import com.google.gson.internal.bind.TypeAdapters;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes6.dex */
public class JSONObjectTypeAdapter extends TypeAdapter<JSONObject> {
    public TypeAdapter<JsonElement> mProxy = TypeAdapters.JSON_ELEMENT;

    @Override // com.google.gson.TypeAdapter
    public JSONObject read(JsonReader jsonReader) throws IOException {
        JsonElement read = this.mProxy.read(jsonReader);
        if (read.isJsonObject()) {
            try {
                return new JSONObject(read.toString());
            } catch (JSONException e) {
                e.printStackTrace();
                return null;
            }
        }
        return null;
    }

    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, JSONObject jSONObject) throws IOException {
        if (jSONObject == null) {
            jsonWriter.nullValue();
            return;
        }
        TypeAdapter<JsonElement> typeAdapter = this.mProxy;
        typeAdapter.write(jsonWriter, typeAdapter.fromJson(jSONObject.toString()));
    }
}
