package com.hjq.http;

import com.hjq.http.request.HttpRequest;
import java.util.concurrent.Executors;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
/* loaded from: classes5.dex */
public final class EasyLog {
    private static final ThreadPoolExecutor EXECUTOR = new ThreadPoolExecutor(1, 1, 0, TimeUnit.MILLISECONDS, new LinkedBlockingQueue(), Executors.defaultThreadFactory(), new ThreadPoolExecutor.DiscardPolicy());

    public static void printLine(final HttpRequest<?> httpRequest) {
        if (EasyConfig.getInstance().isLogEnabled()) {
            EXECUTOR.execute(new Runnable() { // from class: com.hjq.http.EasyLog$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    EasyConfig.getInstance().getLogStrategy().printLine(EasyLog.getLogTag(HttpRequest.this));
                }
            });
        }
    }

    public static void printLog(final HttpRequest<?> httpRequest, final String str) {
        if (EasyConfig.getInstance().isLogEnabled()) {
            EXECUTOR.execute(new Runnable() { // from class: com.hjq.http.EasyLog$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    EasyConfig.getInstance().getLogStrategy().printLog(EasyLog.getLogTag(HttpRequest.this), str);
                }
            });
        }
    }

    public static void printJson(final HttpRequest<?> httpRequest, final String str) {
        if (EasyConfig.getInstance().isLogEnabled()) {
            EXECUTOR.execute(new Runnable() { // from class: com.hjq.http.EasyLog$$ExternalSyntheticLambda4
                @Override // java.lang.Runnable
                public final void run() {
                    EasyConfig.getInstance().getLogStrategy().printJson(EasyLog.getLogTag(HttpRequest.this), str);
                }
            });
        }
    }

    public static void printKeyValue(final HttpRequest<?> httpRequest, final String str, final String str2) {
        if (EasyConfig.getInstance().isLogEnabled()) {
            EXECUTOR.execute(new Runnable() { // from class: com.hjq.http.EasyLog$$ExternalSyntheticLambda3
                @Override // java.lang.Runnable
                public final void run() {
                    EasyConfig.getInstance().getLogStrategy().printKeyValue(EasyLog.getLogTag(HttpRequest.this), str, str2);
                }
            });
        }
    }

    public static void printThrowable(final HttpRequest<?> httpRequest, final Throwable th) {
        if (EasyConfig.getInstance().isLogEnabled()) {
            EXECUTOR.execute(new Runnable() { // from class: com.hjq.http.EasyLog$$ExternalSyntheticLambda5
                @Override // java.lang.Runnable
                public final void run() {
                    EasyConfig.getInstance().getLogStrategy().printThrowable(EasyLog.getLogTag(HttpRequest.this), th);
                }
            });
        }
    }

    public static void printStackTrace(final HttpRequest<?> httpRequest, final StackTraceElement[] stackTraceElementArr) {
        if (EasyConfig.getInstance().isLogEnabled()) {
            EXECUTOR.execute(new Runnable() { // from class: com.hjq.http.EasyLog$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    EasyConfig.getInstance().getLogStrategy().printStackTrace(EasyLog.getLogTag(HttpRequest.this), stackTraceElementArr);
                }
            });
        }
    }

    private static String getLogTag(HttpRequest<?> httpRequest) {
        String logTag = EasyConfig.getInstance().getLogTag();
        if (httpRequest == null) {
            return logTag;
        }
        return logTag + " " + httpRequest.getRequestApi().getClass().getSimpleName() + "@" + Integer.toHexString(httpRequest.hashCode());
    }
}
