package com.hjq.http.body;

import java.io.IOException;
import okhttp3.MediaType;
import okhttp3.RequestBody;
import okio.BufferedSink;
/* loaded from: classes6.dex */
public class WrapperBody extends RequestBody {
    private final RequestBody mRequestBody;

    public WrapperBody(RequestBody requestBody) {
        this.mRequestBody = requestBody;
    }

    @Override // okhttp3.RequestBody
    public long contentLength() throws IOException {
        return this.mRequestBody.contentLength();
    }

    @Override // okhttp3.RequestBody
    public MediaType contentType() {
        return this.mRequestBody.contentType();
    }

    @Override // okhttp3.RequestBody
    public void writeTo(BufferedSink bufferedSink) throws IOException {
        this.mRequestBody.writeTo(bufferedSink);
    }

    public RequestBody getRequestBody() {
        return this.mRequestBody;
    }
}
