package com.hjq.http.model;

import com.hjq.http.EasyConfig;
import java.util.HashMap;
import java.util.Set;
/* loaded from: classes5.dex */
public final class HttpParams {
    private boolean mMultipart;
    private final HashMap<String, Object> mParams = new HashMap<>(EasyConfig.getInstance().getParams());

    public void put(String str, Object obj) {
        if (str == null || obj == null) {
            return;
        }
        this.mParams.put(str, obj);
    }

    public void remove(String str) {
        if (str == null) {
            return;
        }
        this.mParams.remove(str);
    }

    public Object get(String str) {
        return this.mParams.get(str);
    }

    public void clear() {
        this.mParams.clear();
    }

    public boolean isEmpty() {
        return this.mParams.isEmpty();
    }

    public Set<String> getKeys() {
        return this.mParams.keySet();
    }

    public HashMap<String, Object> getParams() {
        return this.mParams;
    }

    public boolean isMultipart() {
        return this.mMultipart;
    }

    public void setMultipart(boolean z) {
        this.mMultipart = z;
    }
}
