package com.momo.live.utils;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt;
/* compiled from: FileUtil.kt */
@Metadata(d1 = {"\u0000\f\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0003\u0018\u0000 \u00032\u00020\u0001:\u0001\u0003B\u0005¢\u0006\u0002\u0010\u0002¨\u0006\u0004"}, d2 = {"Lcom/momo/live/utils/FileUtil;", "", "()V", "Companion", "app_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
/* loaded from: classes5.dex */
public final class FileUtil {
    public static final Companion Companion = new Companion(null);

    /* compiled from: FileUtil.kt */
    @Metadata(d1 = {"\u0000\"\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0004\n\u0002\u0010\u0002\n\u0002\b\u0003\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006J\u0010\u0010\u0007\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0002J\u000e\u0010\b\u001a\u00020\u00062\u0006\u0010\t\u001a\u00020\u0006J\u0016\u0010\n\u001a\u00020\u000b2\u0006\u0010\f\u001a\u00020\u00062\u0006\u0010\r\u001a\u00020\u0006¨\u0006\u000e"}, d2 = {"Lcom/momo/live/utils/FileUtil$Companion;", "", "()V", "deleteDir", "", "filePath", "", "deleteFile", "getArc", "nativePath", "unZip", "", "zipFile", "targetDir", "app_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
    /* loaded from: classes5.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final void unZip(String zipFile, String targetDir) {
            ZipInputStream zipInputStream;
            Intrinsics.checkNotNullParameter(zipFile, "zipFile");
            Intrinsics.checkNotNullParameter(targetDir, "targetDir");
            File file = new File(targetDir);
            if (!file.exists()) {
                file.mkdirs();
            }
            try {
                zipInputStream = new ZipInputStream(new BufferedInputStream(new FileInputStream(zipFile)));
            } catch (Exception e) {
                e.printStackTrace();
                return;
            }
            while (true) {
                ZipEntry it = zipInputStream.getNextEntry();
                Intrinsics.checkNotNullExpressionValue(it, "it");
                if (it != null) {
                    try {
                        byte[] bArr = new byte[4096];
                        String name = it.getName();
                        Intrinsics.checkNotNullExpressionValue(name, "entry.name");
                        File file2 = new File(targetDir + name);
                        File file3 = new File(file2.getParent());
                        if (!file3.exists()) {
                            file3.mkdirs();
                        }
                        BufferedOutputStream bufferedOutputStream = new BufferedOutputStream(new FileOutputStream(file2), 4096);
                        while (true) {
                            int read = zipInputStream.read(bArr, 0, 4096);
                            if (read == -1) {
                                break;
                            }
                            bufferedOutputStream.write(bArr, 0, read);
                        }
                        bufferedOutputStream.flush();
                        bufferedOutputStream.close();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                } else {
                    zipInputStream.close();
                    return;
                }
                e.printStackTrace();
                return;
            }
        }

        public final boolean deleteDir(String filePath) {
            Intrinsics.checkNotNullParameter(filePath, "filePath");
            String separator = File.separator;
            Intrinsics.checkNotNullExpressionValue(separator, "separator");
            if (!StringsKt.endsWith$default(filePath, separator, false, 2, (Object) null)) {
                filePath = filePath + File.separator;
            }
            File file = new File(filePath);
            if (file.exists() && file.isDirectory()) {
                File[] listFiles = file.listFiles();
                boolean z = true;
                if (listFiles != null) {
                    if (!(listFiles.length == 0)) {
                        int length = listFiles.length;
                        for (int i = 0; i < length; i++) {
                            if (listFiles[i].isFile()) {
                                String absolutePath = listFiles[i].getAbsolutePath();
                                Intrinsics.checkNotNullExpressionValue(absolutePath, "files[i].absolutePath");
                                z = deleteFile(absolutePath);
                                if (!z) {
                                    break;
                                }
                            } else {
                                String absolutePath2 = listFiles[i].getAbsolutePath();
                                Intrinsics.checkNotNullExpressionValue(absolutePath2, "files[i].absolutePath");
                                z = deleteDir(absolutePath2);
                                if (!z) {
                                    break;
                                }
                            }
                        }
                    }
                }
                if (z) {
                    return file.delete();
                }
                return false;
            }
            return false;
        }

        private final boolean deleteFile(String str) {
            File file = new File(str);
            if (file.isFile() && file.exists()) {
                return file.delete();
            }
            return false;
        }

        public final String getArc(String nativePath) {
            Intrinsics.checkNotNullParameter(nativePath, "nativePath");
            return StringsKt.endsWith$default(nativePath, "arm64", false, 2, (Object) null) ? "arm64-v8a" : "armeabi-v7a";
        }
    }
}
