package dev.fluttercommunity.plus.share;

import android.content.Context;
import android.content.Intent;
import com.tekartik.sqflite.Constant;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.PluginRegistry;
import java.util.concurrent.atomic.AtomicBoolean;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
/* compiled from: ShareSuccessManager.kt */
@Metadata(d1 = {"\u0000B\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0004\b\u0000\u0018\u0000 \u00172\u00020\u0001:\u0001\u0017B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\u0006\u0010\t\u001a\u00020\nJ\"\u0010\u000b\u001a\u00020\f2\u0006\u0010\r\u001a\u00020\u000e2\u0006\u0010\u000f\u001a\u00020\u000e2\b\u0010\u0010\u001a\u0004\u0018\u00010\u0011H\u0016J\u0010\u0010\u0012\u001a\u00020\n2\u0006\u0010\u0013\u001a\u00020\u0014H\u0002J\u000e\u0010\u0015\u001a\u00020\n2\u0006\u0010\u0005\u001a\u00020\u0006J\u0006\u0010\u0016\u001a\u00020\nR\u0010\u0010\u0005\u001a\u0004\u0018\u00010\u0006X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0002\u001a\u00020\u0003X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082\u000e¢\u0006\u0002\n\u0000¨\u0006\u0018"}, d2 = {"Ldev/fluttercommunity/plus/share/ShareSuccessManager;", "Lio/flutter/plugin/common/PluginRegistry$ActivityResultListener;", "context", "Landroid/content/Context;", "(Landroid/content/Context;)V", "callback", "Lio/flutter/plugin/common/MethodChannel$Result;", "isCalledBack", "Ljava/util/concurrent/atomic/AtomicBoolean;", "clear", "", "onActivityResult", "", "requestCode", "", "resultCode", "data", "Landroid/content/Intent;", "returnResult", Constant.PARAM_RESULT, "", "setCallback", "unavailable", "Companion", "share_plus_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
/* loaded from: classes7.dex */
public final class ShareSuccessManager implements PluginRegistry.ActivityResultListener {
    public static final int ACTIVITY_CODE = 22643;
    public static final Companion Companion = new Companion(null);
    public static final String RESULT_UNAVAILABLE = "dev.fluttercommunity.plus/share/unavailable";
    private MethodChannel.Result callback;
    private final Context context;
    private AtomicBoolean isCalledBack;

    public ShareSuccessManager(Context context) {
        Intrinsics.checkNotNullParameter(context, "context");
        this.context = context;
        this.isCalledBack = new AtomicBoolean(true);
    }

    public final void setCallback(MethodChannel.Result callback) {
        Intrinsics.checkNotNullParameter(callback, "callback");
        if (this.isCalledBack.compareAndSet(true, false)) {
            SharePlusPendingIntent.Companion.setResult("");
            this.isCalledBack.set(false);
            this.callback = callback;
            return;
        }
        MethodChannel.Result result = this.callback;
        if (result != null) {
            result.success(RESULT_UNAVAILABLE);
        }
        SharePlusPendingIntent.Companion.setResult("");
        this.isCalledBack.set(false);
        this.callback = callback;
    }

    public final void unavailable() {
        returnResult(RESULT_UNAVAILABLE);
    }

    public final void clear() {
        this.isCalledBack.set(true);
        this.callback = null;
    }

    private final void returnResult(String str) {
        MethodChannel.Result result;
        if (!this.isCalledBack.compareAndSet(false, true) || (result = this.callback) == null) {
            return;
        }
        Intrinsics.checkNotNull(result);
        result.success(str);
        this.callback = null;
    }

    @Override // io.flutter.plugin.common.PluginRegistry.ActivityResultListener
    public boolean onActivityResult(int i, int i2, Intent intent) {
        if (i == 22643) {
            returnResult(SharePlusPendingIntent.Companion.getResult());
            return true;
        }
        return false;
    }

    /* compiled from: ShareSuccessManager.kt */
    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0086T¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0086T¢\u0006\u0002\n\u0000¨\u0006\u0007"}, d2 = {"Ldev/fluttercommunity/plus/share/ShareSuccessManager$Companion;", "", "()V", "ACTIVITY_CODE", "", "RESULT_UNAVAILABLE", "", "share_plus_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
    /* loaded from: classes5.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }
    }
}
