package org.hamcrest.collection;

import java.util.Collection;
import org.hamcrest.Factory;
import org.hamcrest.FeatureMatcher;
import org.hamcrest.Matcher;
import org.hamcrest.core.IsEqual;
/* loaded from: classes4.dex */
public class IsCollectionWithSize<E> extends FeatureMatcher<Collection<? extends E>, Integer> {
    @Override // org.hamcrest.FeatureMatcher
    protected /* bridge */ /* synthetic */ Integer featureValueOf(Object obj) {
        return featureValueOf((Collection) ((Collection) obj));
    }

    public IsCollectionWithSize(Matcher<? super Integer> matcher) {
        super(matcher, "a collection with size", "collection size");
    }

    protected Integer featureValueOf(Collection<? extends E> collection) {
        return Integer.valueOf(collection.size());
    }

    @Factory
    public static <E> Matcher<Collection<? extends E>> hasSize(Matcher<? super Integer> matcher) {
        return new IsCollectionWithSize(matcher);
    }

    @Factory
    public static <E> Matcher<Collection<? extends E>> hasSize(int i) {
        return hasSize(IsEqual.equalTo(Integer.valueOf(i)));
    }
}
