package repeackage.com.qiku.id;

import android.os.IBinder;
import android.os.Parcel;
import android.os.RemoteException;
import android.util.Log;
import java.lang.reflect.Method;
/* loaded from: classes8.dex */
public class QikuIdmanager {
    public static int CODE_GET_AAID = 6;
    public static int CODE_GET_OAID = 4;
    public static int CODE_GET_UDID = 3;
    public static int CODE_GET_VAID = 5;
    public static int CODE_IS_SUPPORTED = 2;
    public static final int CODE_LIMIT_READ_OAID = 9;
    public static final int CODE_RESET_OAID = 8;
    public static int CODE_SHUTDOWN = 7;
    static final String TAG = "QikuIdmanager";
    private IBinder mIBinder;

    public QikuIdmanager() {
        Class<?> cls;
        Method declaredMethod;
        this.mIBinder = null;
        try {
            Class<?> cls2 = Class.forName("android.os.SystemProperties");
            if (!((String) cls2.getMethod("get", String.class, String.class).invoke(cls2, "ro.build.uiversion", "")).contains("360UI") || (cls = Class.forName("android.os.ServiceManager")) == null || (declaredMethod = cls.getDeclaredMethod("getService", String.class)) == null) {
                return;
            }
            this.mIBinder = (IBinder) declaredMethod.invoke(null, "qikuid");
        } catch (Exception e) {
            Log.e(TAG, "Failure get qikuid service", e);
        }
    }

    public boolean isSupported() {
        if (this.mIBinder != null) {
            Parcel obtain = Parcel.obtain();
            Parcel obtain2 = Parcel.obtain();
            try {
                this.mIBinder.transact(CODE_IS_SUPPORTED, obtain, obtain2, 0);
                return obtain2.readInt() == 1;
            } catch (RemoteException e) {
                e.printStackTrace();
            } finally {
                obtain.recycle();
                obtain2.recycle();
            }
        }
        return false;
    }

    public String getUDID() {
        if (this.mIBinder != null) {
            Parcel obtain = Parcel.obtain();
            Parcel obtain2 = Parcel.obtain();
            try {
                this.mIBinder.transact(CODE_GET_UDID, obtain, obtain2, 0);
                return obtain2.readString();
            } catch (RemoteException e) {
                e.printStackTrace();
                return null;
            } finally {
                obtain.recycle();
                obtain2.recycle();
            }
        }
        return null;
    }

    public String getOAID() {
        if (this.mIBinder != null) {
            Parcel obtain = Parcel.obtain();
            Parcel obtain2 = Parcel.obtain();
            try {
                this.mIBinder.transact(CODE_GET_OAID, obtain, obtain2, 0);
                return obtain2.readString();
            } catch (RemoteException e) {
                e.printStackTrace();
                return null;
            } finally {
                obtain.recycle();
                obtain2.recycle();
            }
        }
        return null;
    }

    public String getVAID() {
        if (this.mIBinder != null) {
            Parcel obtain = Parcel.obtain();
            Parcel obtain2 = Parcel.obtain();
            try {
                this.mIBinder.transact(CODE_GET_VAID, obtain, obtain2, 0);
                return obtain2.readString();
            } catch (RemoteException e) {
                e.printStackTrace();
                return null;
            } finally {
                obtain.recycle();
                obtain2.recycle();
            }
        }
        return null;
    }

    public String getAAID() {
        if (this.mIBinder != null) {
            Parcel obtain = Parcel.obtain();
            Parcel obtain2 = Parcel.obtain();
            try {
                this.mIBinder.transact(CODE_GET_AAID, obtain, obtain2, 0);
                return obtain2.readString();
            } catch (RemoteException e) {
                e.printStackTrace();
                return null;
            } finally {
                obtain.recycle();
                obtain2.recycle();
            }
        }
        return null;
    }

    public void shutDown() {
        if (this.mIBinder != null) {
            Parcel obtain = Parcel.obtain();
            Parcel obtain2 = Parcel.obtain();
            try {
                try {
                    this.mIBinder.transact(CODE_SHUTDOWN, obtain, obtain2, 0);
                } catch (RemoteException e) {
                    e.printStackTrace();
                }
            } finally {
                obtain.recycle();
                obtain2.recycle();
            }
        }
    }

    public boolean isLimited() {
        if (this.mIBinder != null) {
            Parcel obtain = Parcel.obtain();
            Parcel obtain2 = Parcel.obtain();
            try {
                this.mIBinder.transact(9, obtain, obtain2, 0);
                return obtain2.readBoolean();
            } catch (RemoteException e) {
                e.printStackTrace();
            } finally {
                obtain.recycle();
                obtain2.recycle();
            }
        }
        return false;
    }
}
